> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Intent Split

> Modify a Split before execution.

<Note>
  **Note – Split Status values that allow modification**

  To modify a split, its `Status` must be:

  * `CREATED`
  * `PENDING_FUNDS_RECEPTION`
  * `AVAILABLE`
  * `FAILED `
</Note>

### Path parameters

<ParamField path="IntentId" type="string" required>
  The unique identifier of the Intent.
</ParamField>

<ParamField path="SplitId" type="string" required>
  The unique identifier of the Split.
</ParamField>

### Body parameters

<ParamField path="Splits" type="array (object)">
  The future Splits to create to transfer Intent funds to the line item sellers.

  <Expandable>
    <ParamField body="LineItemId" type="string" required>
      The unique identifier of the line item.
    </ParamField>

    <ParamField body="SplitAmount" type="type" required>
      The amount to transfer to the seller's `WalledId`.

      The sum of the `SplitAmount` values of all `Splits` must be lower than or equal to the `AvailableAmountToSplit` of the Intent.
    </ParamField>

    <ParamField body="FeesAmount" type="string">
      The amount of fees.

      The sum of the `FeesAmount` values of all `Splits` must be lower than or equal to the `PlatformFeesAmount` of the Intent.
    </ParamField>

    <ParamField body="TransferDate" type="Unix timestamp">
      The future date when the funds are to be automatically transferred to the seller's wallet.
    </ParamField>

    <ParamField body="Description" type="string">
      The description of the Split.
    </ParamField>

    <ParamField body="SplitOriginWalletId" type="string">
      The unique identifier of the wallet from which the split will be debited.

      This parameter is required for Intents where `ExternalProviderName` is `Mangopay`. If it is not defined in the Intent it must be defined at Split creation.
    </ParamField>
  </Expandable>
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters" defaultOpen>
    <ResponseField name="Splits" type="array (object)">
      The Splits requested.

      <Expandable>
        <ResponseField name="Id" type="string">
          The unique identifier of the Split.
        </ResponseField>

        <ResponseField name="LineItemId" type="string">
          The unique identifier of the line item.
        </ResponseField>

        <ResponseField name="SellerId" type="string">
          The unique identifier of the seller of the line item.
        </ResponseField>

        <ResponseField name="WalletId" type="string">
          The unique identifier of the wallet to credit the seller's funds.
        </ResponseField>

        <ResponseField name="SplitAmount" type="type">
          The amount to transfer to the seller's `WalledId`.

          The sum of the `SplitAmount` values of all `Splits` must be lower than or equal to the `AvailableAmountToSplit` of the Intent.
        </ResponseField>

        <ResponseField name="FeesAmount" type="string">
          The amount of fees.

          The sum of the `FeesAmount` values of all `Splits` must be lower than or equal to the `PlatformFeesAmount` of the Intent.
        </ResponseField>

        <ResponseField name="TransferDate" type="Unix timestamp">
          The future date when the funds are to be automatically transferred to the seller's wallet.
        </ResponseField>

        <ResponseField name="Description" type="string">
          The description of the Split.
        </ResponseField>

        <ResponseField name="Status" type="string">
          The status of the Split:

          * `CREATED`
          * `PENDING_FUNDS_RECEPTION`
          * `AVAILABLE`
          * `PENDING`
          * `COMPLETED`
          * `REJECTED`
          * `FAILED`
          * `REVERSED`
          * `REFUND_SPLIT_PENDING`
          * `REFUND_SPLIT_REJECTED`
          * `REFUND_SPLIT_COMPLETED`
        </ResponseField>

        <ResponseField name="SplitOriginWalletId" type="string">
          The unique identifier of the wallet from which the split will be debited.

          This parameter is required for Intents where `ExternalProviderName` is `Mangopay`. If it is not defined in the Intent it must be defined at Split creation.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<AccordionGroup />

<ResponseExample>
  ```json theme={null}
  {
      "Splits": [
          {
              "Id": "int_split_019778c4-29c7-7c62-b7c6-775b744ab9f2",
              "LineItemId": "int_li_019778b4-7e87-7153-8fa0-746b23ecae7e",
              "SellerId": "user_m_01JXWB53KC8ZZFQNC6S34W9CN0",
              "WalletId": "wlt_m_01JXWB5WF962GM9N4GC3VJVK8K",
              "SplitAmount": 6000,
              "FeesAmount": 60,
              "TransferDate": 1742428800,
              "Description": "Example description of the Split",
              "Status": "CREATED"
          }
      ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```json theme={null}
  {
      "LineItemId": "int_li_019778b4-7e87-7153-8fa0-746b23ecae7e",
      "SplitAmount": 6000,
      "FeesAmount": 60,
      "TransferDate": 1752439988,
      "Description": "Example description of the Split"
  }
  ```
</RequestExample>
